On Wed, Jun 17, 2009 at 5:42 PM, Florian Gilcher<flo / andersground.net> wrote:
>
> On Jun 17, 2009, at 11:36 PM, apeiros wrote:
>> Thank you for the sugestion.
>> I'm aware of the instance_exec solutions for 1.8, but they are hacks IMO.
>
> They are for sure.

You guys are being generous...it's a HORRENDOUS hack. And what's
worse, since it's redefining methods it tends to blow caches on almost
all implementations, making all your *other* code slow too.

I for one would support instance_exec getting backported to Ruby.
Can't we call it a bug that it didn't exist in the first place?

FWIW, we included it in JRuby (even in 1.8.6 mode) specifically
because of that awful, awful hacked version.

- Charlie